## rsibreak 0.8.0

=== rsibreak/CMakeLists.txt ===
ADD_SUBDIRECTORY( src ) 
ADD_SUBDIRECTORY( icons ) 

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE3_INCLUDE_DIR} ${QT_INCLUDE_DIR}  )


########### install files ###############




#original Makefile.am contents follow:

#SUBDIRS = src
#include ../admin/Doxyfile.am

=== rsibreak/icons/CMakeLists.txt ===
FIND_PACKAGE(KDE3 REQUIRED)
ADD_DEFINITIONS(${QT_DEFINITIONS} ${KDE3_DEFINITIONS})
KDE3_INSTALL_ICONS( hicolor )

=== rsibreak/src/CMakeLists.txt ===
FIND_PACKAGE(KDE3 REQUIRED)
ADD_DEFINITIONS(${QT_DEFINITIONS} ${KDE3_DEFINITIONS})
LINK_DIRECTORIES(${KDE3_LIB_DIR})
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} 
                     ${CMAKE_CURRENT_BINARY_DIR} 
                     ${KDE3_INCLUDE_DIR} 
                     ${QT_INCLUDE_DIR}             )

############# Find LIBXSS for idle detection and write outcome to config.h ####

include (CheckLibraryExists)
check_library_exists(Xss XScreenSaverQueryInfo "" HAVE_LIBXSS)

# Not having libxss is fatal at the moment.
IF (NOT HAVE_LIBXSS)
     MESSAGE(FATAL_ERROR "Missing libxss library")
ELSE (NOT HAVE_LIBXSS)
    SET (IDLE_DETECTION_LIB "Xss")
ENDIF (NOT HAVE_LIBXSS)

# Write it down to the config.h
CONFIGURE_FILE( ${CMAKE_SOURCE_DIR}/config.h.cmake 
                ${CMAKE_BINARY_DIR}/src/config.h    ) 

############ librsibreak #####################################################

ADD_LIBRARY(librsibreak STATIC rsitimer_dpms.cpp)

############ rsibreak ######################################################## 

# source files needed
SET(rsibreak_sources
rsidock.cpp
setup.cpp
setupgeneral.cpp
setuptiming.cpp
main.cpp
rsiwidget.cpp
rsitimer.cpp
rsirelaxpopup.cpp
setuppopup.cpp
setupmaximized.cpp
rsitooltip.cpp
dcopiface.cpp
rsistatwidget.cpp
rsistats.cpp
rsiglobals.cpp
rsistatitem.cpp
)

# moc files needed
KDE3_AUTOMOC(${rsibreak_sources})

# dcop files needed
SET( rsibreak_DCOP_SKEL_SRCS dcopiface.h)
KDE3_ADD_DCOP_SKELS(rsibreak_sources ${rsibreak_DCOP_SKEL_SRCS})

# compilation
KDE3_ADD_EXECUTABLE(rsibreak ${rsibreak_sources})

########### linking #####################

TARGET_LINK_LIBRARIES(rsibreak kio kdeui librsibreak ${IDLE_DETECTION_LIB})

########### install files ###############

INSTALL_TARGETS(/bin rsibreak )
INSTALL_FILES( /share/applications/kde FILES  rsibreak.desktop )
INSTALL_FILES( /share/autostart FILES  rsibreak.desktop )

## rsibreak 0.9.0~beta4

=== CMakeLists.txt ===
project( rsibreak )
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)

find_package (KDE4 REQUIRED)
include(KDE4Defaults)
macro_optional_find_package(Plasma)

macro_log_feature(PLASMA_FOUND "Plasma" "Plasma libraries and header files" "http://plasma.kde.org/" FALSE "" "Plasma is needed for Plasma applet of rsibreak. Install kdebase-workspace.")



add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions (-mmmx)
include_directories ( ${KDE4_INCLUDES} ${BLITZ_INCLUDES} )
ADD_SUBDIRECTORY( icons ) 
ADD_SUBDIRECTORY( src ) 
if (PLASMA_FOUND)
  ADD_SUBDIRECTORY( plasma ) 
endif (PLASMA_FOUND)
find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )
add_subdirectory( doc-translations )
add_subdirectory( doc )

=== po/CMakeLists.txt ===
add_subdirectory( ar )
add_subdirectory( ar )
add_subdirectory( be )
add_subdirectory( be )
add_subdirectory( ca )
add_subdirectory( cs )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( el )
add_subdirectory( es )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( et )
add_subdirectory( fr )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( gl )
add_subdirectory( hi )
add_subdirectory( hi )
add_subdirectory( ja )
add_subdirectory( ja )
add_subdirectory( km )
add_subdirectory( km )
add_subdirectory( ko )
add_subdirectory( ko )
add_subdirectory( nb )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( nl )
add_subdirectory( nn )
add_subdirectory( nn )
add_subdirectory( oc )
add_subdirectory( oc )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ro )
add_subdirectory( se )
add_subdirectory( se )
add_subdirectory( sk )
add_subdirectory( sk )
add_subdirectory( sv )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( tr )
add_subdirectory( uk )
add_subdirectory( uk )
add_subdirectory( zh_CN )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== src/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}/src ${CMAKE_CURRENT_BINARY_DIR} ${QT_INCLUDE_DIR} )

############# Find LIBXSS for idle detection and write outcome to config.h ####

include (CheckLibraryExists)
check_library_exists(Xss XScreenSaverQueryInfo "" HAVE_LIBXSS)

# Not having libxss is fatal at the moment.
IF (NOT HAVE_LIBXSS)
     MESSAGE(FATAL_ERROR "Missing libxss library")
ELSE (NOT HAVE_LIBXSS)
    SET (IDLE_DETECTION_LIB "Xss")
ENDIF (NOT HAVE_LIBXSS)

# Write it down to the config-rsibreak.h
CONFIGURE_FILE( ../config-rsibreak.h.cmake
                ${CMAKE_CURRENT_BINARY_DIR}/src/config-rsibreak.h    )

############ librsibreak #####################################################

KDE4_ADD_LIBRARY(librsibreak STATIC rsitimer_dpms.cpp)

############ rsibreak ########################################################

# source files needed
SET(rsibreak_sources
boxdialog.cpp
slideshow.cpp
graywidget.cpp
passivepopup.cpp
rsidock.cpp
setup.cpp
setupgeneral.cpp
setuptiming.cpp
main.cpp
rsiwidget.cpp
rsitimer.cpp
rsirelaxpopup.cpp
setupmaximized.cpp
rsitooltip.cpp
rsistatwidget.cpp
rsistats.cpp
rsiglobals.cpp
rsistatitem.cpp
grayouteffect.cpp
)

QT4_ADD_DBUS_ADAPTOR( rsibreak_sources
org.rsibreak.rsiwidget.xml
rsiwidget.h RSIWidget::RSIWidget
)

# compilation
KDE4_ADD_EXECUTABLE(rsibreak ${rsibreak_sources})

########### linking #####################

TARGET_LINK_LIBRARIES(rsibreak ${KDE4_KIO_LIBS} ${KDE4_KNOTIFYCONFIG_LIBS} librsibreak ${IDLE_DETECTION_LIB} )

########### install files ###############

INSTALL(TARGETS rsibreak DESTINATION ${BIN_INSTALL_DIR})
INSTALL(FILES  rsibreak.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
INSTALL( FILES rsibreak.notifyrc DESTINATION ${DATA_INSTALL_DIR}/rsibreak  )
INSTALL( FILES org.rsibreak.rsiwidget.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR} )

#TODO is this still in KDE4? 
#INSTALL_FILES( /share/autostart FILES  rsibreak.desktop )

## rsibreak 0.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,6 @@
 
 
 add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
-add_definitions (-mmmx)
 include_directories ( ${KDE4_INCLUDES} ${BLITZ_INCLUDES} )
 ADD_SUBDIRECTORY( icons ) 
 ADD_SUBDIRECTORY( src )

=== doc-translations/CMakeLists.txt ===
add_subdirectory( et_rsibreak/rsibreak )
add_subdirectory( pt_rsibreak/rsibreak )
add_subdirectory( sv_rsibreak/rsibreak )
add_subdirectory( uk_rsibreak/rsibreak )

=== plasma/CMakeLists.txt ===
project(plasma-rsibreak)

set(dbus_iface_xml ../src/org.rsibreak.rsiwidget.xml)
QT4_ADD_DBUS_INTERFACE(plasma_engine_rsibreak_SRCS ${dbus_iface_xml} rsibreak_interface )

set(rsibreak_engine_SRCS
    engine.cpp
    rsibreak_interface)

kde4_add_plugin(plasma_engine_rsibreak ${rsibreak_engine_SRCS})
target_link_libraries(plasma_engine_rsibreak ${PLASMA_LIBS} ${KDE4_KIO_LIBS})

install(TARGETS plasma_engine_rsibreak DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-engine-rsibreak.desktop DESTINATION ${SERVICES_INSTALL_DIR})

set(rsibreak_applet_SRCS
    rsibreak.cpp)

kde4_add_plugin(plasma_applet_rsibreak ${rsibreak_applet_SRCS})
target_link_libraries(plasma_applet_rsibreak ${PLASMA_LIBS} ${KDE4_KIO_LIBS})

install(TARGETS plasma_applet_rsibreak DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-applet-rsibreak.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES rsibreak.svg DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/widgets/)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
 add_subdirectory( ca )
 add_subdirectory( cs )
 add_subdirectory( cs )
+add_subdirectory( da )
 add_subdirectory( da )
 add_subdirectory( de )
 add_subdirectory( el )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -59,11 +59,9 @@
 
 ########### install files ###############
 
-INSTALL(TARGETS rsibreak DESTINATION ${BIN_INSTALL_DIR})
+INSTALL(TARGETS rsibreak ${INSTALL_TARGETS_DEFAULT_ARGS})
 INSTALL(FILES  rsibreak.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
 INSTALL( FILES rsibreak.notifyrc DESTINATION ${DATA_INSTALL_DIR}/rsibreak  )
 INSTALL( FILES org.rsibreak.rsiwidget.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR} )
 
-#TODO is this still in KDE4? 
-#INSTALL_FILES( /share/autostart FILES  rsibreak.desktop )
-
+install( FILES rsibreak.desktop DESTINATION ${AUTOSTART_INSTALL_DIR} )

## rsibreak 0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,16 @@
 
 find_package (KDE4 REQUIRED)
 include(KDE4Defaults)
-macro_optional_find_package(Plasma)
 
-macro_log_feature(PLASMA_FOUND "Plasma" "Plasma libraries and header files" "http://plasma.kde.org/" FALSE "" "Plasma is needed for Plasma applet of rsibreak. Install kdebase-workspace.")
+MACRO_ENSURE_VERSION( "4.1.83" ${KDE_VERSION} KDE_VERSION_OK)
+if(NOT KDE_VERSION_OK)
+  macro_optional_find_package(Plasma)
+  macro_log_feature(PLASMA_FOUND "Plasma" "Plasma libraries and header files" "http://plasma.kde.org/" FALSE "" "Plasma is needed for rsibreak Plasmoid")
+else(NOT KDE_VERSION_OK)
+  set(PLASMA_FOUND true)
+  set(PLASMA_LIBS ${KDE4_PLASMA_LIBS})
+endif(NOT KDE_VERSION_OK)
+

=== doc-translations/CMakeLists.txt ===
add_subdirectory( es_rsibreak/rsibreak )
add_subdirectory( et_rsibreak/rsibreak )
add_subdirectory( fr_rsibreak/rsibreak )
add_subdirectory( nl_rsibreak/rsibreak )
add_subdirectory( pt_rsibreak/rsibreak )
add_subdirectory( sv_rsibreak/rsibreak )
add_subdirectory( uk_rsibreak/rsibreak )

=== po/CMakeLists.txt ===
add_subdirectory( ar )
add_subdirectory( be )
add_subdirectory( ca )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( en_GB )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hi )
add_subdirectory( hne )
add_subdirectory( is )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( km )
add_subdirectory( ko )
add_subdirectory( lt )
add_subdirectory( ml )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( nn )
add_subdirectory( oc )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( se )
add_subdirectory( sk )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( uk )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -24,9 +24,9 @@
 
 # source files needed
 SET(rsibreak_sources
-boxdialog.cpp
-slideshow.cpp
-graywidget.cpp
+slideshoweffect.cpp
+popupeffect.cpp
+grayeffect.cpp
 passivepopup.cpp
 rsidock.cpp
 setup.cpp
@@ -42,12 +42,14 @@
 rsistats.cpp
 rsiglobals.cpp
 rsistatitem.cpp
-grayouteffect.cpp
+breakbase.cpp
+plasmaeffect.cpp
+breakcontrol.cpp
 )
 
 QT4_ADD_DBUS_ADAPTOR( rsibreak_sources
 org.rsibreak.rsiwidget.xml
-rsiwidget.h RSIWidget::RSIWidget
+rsiwidget.h RSIObject::RSIObject
 )
 
 # compilation

## rsibreak 0.11

=== CMakeLists.txt ===
project( rsibreak )
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)

find_package (KDE4 REQUIRED)
include(KDE4Defaults)

find_package(Qt4 4.6.0 REQUIRED)

MACRO_ENSURE_VERSION( "4.4.0" ${KDE_VERSION} KDE_VERSION_OK)
if(NOT KDE_VERSION_OK)
  macro_optional_find_package(Plasma)
  macro_log_feature(PLASMA_FOUND "Plasma" "Plasma libraries and header files" "http://plasma.kde.org/" FALSE "" "Plasma is needed for rsibreak Plasmoid")
else(NOT KDE_VERSION_OK)
  set(PLASMA_FOUND true)
  set(PLASMA_LIBS ${KDE4_PLASMA_LIBS})
endif(NOT KDE_VERSION_OK)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories ( ${KDE4_INCLUDES} )

add_subdirectory( icons )
add_subdirectory( src )
if (PLASMA_FOUND)
  ADD_SUBDIRECTORY( plasma )
endif (PLASMA_FOUND)
find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )
add_subdirectory( doc-translations )
add_subdirectory( doc )

=== doc-translations/CMakeLists.txt ===
add_subdirectory( es_rsibreak/rsibreak )
add_subdirectory( et_rsibreak/rsibreak )
add_subdirectory( fr_rsibreak/rsibreak )
add_subdirectory( it_rsibreak/rsibreak )
add_subdirectory( nl_rsibreak/rsibreak )
add_subdirectory( pt_rsibreak/rsibreak )
add_subdirectory( pt_BR_rsibreak/rsibreak )
add_subdirectory( sv_rsibreak/rsibreak )
add_subdirectory( uk_rsibreak/rsibreak )

=== doc/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR rsibreak)

=== plasma/CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,7 @@
 QT4_ADD_DBUS_INTERFACE(plasma_engine_rsibreak_SRCS ${dbus_iface_xml} rsibreak_interface )
 
 set(rsibreak_engine_SRCS
-    engine.cpp
-    rsibreak_interface)
+    engine.cpp ${plasma_engine_rsibreak_SRCS})
 
 kde4_add_plugin(plasma_engine_rsibreak ${rsibreak_engine_SRCS})
 target_link_libraries(plasma_engine_rsibreak ${PLASMA_LIBS} ${KDE4_KIO_LIBS})

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,13 @@
 add_subdirectory( ar )
 add_subdirectory( be )
 add_subdirectory( ca )
+add_subdirectory( ca@valencia )
 add_subdirectory( cs )
 add_subdirectory( da )
 add_subdirectory( de )
 add_subdirectory( el )
 add_subdirectory( en_GB )
+add_subdirectory( eo )
 add_subdirectory( es )
 add_subdirectory( et )
 add_subdirectory( fr )
@@ -13,12 +15,15 @@
 add_subdirectory( gl )
 add_subdirectory( hi )
 add_subdirectory( hne )
+add_subdirectory( hr )
+add_subdirectory( hu )
 add_subdirectory( is )
 add_subdirectory( it )
 add_subdirectory( ja )
 add_subdirectory( km )
 add_subdirectory( ko )
 add_subdirectory( lt )
+add_subdirectory( mai )
 add_subdirectory( ml )
 add_subdirectory( nb )
 add_subdirectory( nds )

=== src/CMakeLists.txt ===
include_directories( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${QT_INCLUDE_DIR} )

# Write it down to the config-rsibreak.h
configure_file(../config-rsibreak.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-rsibreak.h)

############ rsibreak ########################################################

# source files needed
set(rsibreak_sources
slideshoweffect.cpp
popupeffect.cpp
grayeffect.cpp
passivepopup.cpp
rsidock.cpp
setup.cpp
setupgeneral.cpp
setuptiming.cpp
setupnotifications.cpp
main.cpp
rsiwidget.cpp
rsirelaxpopup.cpp
setupmaximized.cpp
rsitooltip.cpp
rsistatwidget.cpp
rsistats.cpp
rsitimer.cpp
rsiglobals.cpp
rsistatitem.cpp
breakbase.cpp
plasmaeffect.cpp
breakcontrol.cpp
)

QT4_ADD_DBUS_ADAPTOR( rsibreak_sources
org.rsibreak.rsiwidget.xml
rsiwidget.h RSIObject
)

# compilation
kde4_add_executable(rsibreak ${rsibreak_sources} ${rsibreak_sources_timer})

# linking
target_link_libraries(rsibreak ${KDE4_KIO_LIBS} ${KDE4_KNOTIFYCONFIG_LIBS} )
target_link_libraries(rsibreak ${KDE4_KUTILS_LIBRARY} ${X11_X11_LIB})

# install
install( TARGETS rsibreak ${INSTALL_TARGETS_DEFAULT_ARGS})
install( PROGRAMS  rsibreak.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES rsibreak.notifyrc DESTINATION ${DATA_INSTALL_DIR}/rsibreak  )
install( FILES org.rsibreak.rsiwidget.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR} )
install( FILES rsibreak.desktop DESTINATION ${AUTOSTART_INSTALL_DIR} )

=== debian/changelog ===
rsibreak (4:0.11-2build1) natty; urgency=low

  * Fakesync from Debian

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 06 Feb 2011 21:35:14 -0500

rsibreak (4:0.11-2) unstable; urgency=low

  * Upload to unstable.
  * Update to Standards-Version 3.9.1, no changes required.
  * Update uploaders:
    - retired: Xavier Vello
    - inactive: Daniel Queirolo, Achim Bohnet 
    - per request: Sune Vuorela

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 06 Feb 2011 21:12:24 +0100

rsibreak (4:0.11-1) experimental; urgency=low

  [Tom Albers]
  * New upstream release

  [ Mark Purcell ]
  * Upload to experimental while we await squeeze release

 -- Mark Purcell <msp@debian.org>  Sun, 16 Jan 2011 02:06:33 +1000

rsibreak (4:0.11~beta1-1) experimental; urgency=low

  * New upstream release
    - Require Qt 4.6.0 and KDE 4.4.0 (Build-Depends:)
    - Make timers work for Qt=>4.4 (Closes: #409172)
    - Fixes FTBFS gcc-4.5/ binutils-gold (Closes: #565060, #556330)

  [Tom Albers]
  * Fixes typo in description (Closes: #567984)

  [ Mark Purcell ]
  * Upload to experimental while we await squeeze release
  * source/format -> 3.0 (quilt)

 -- Mark Purcell <msp@debian.org>  Sat, 02 Oct 2010 09:06:33 +1000

rsibreak (4:0.10-2) unstable; urgency=low

  * Bump epoch to 4. It allows Ubuntu to sync.

 -- Fathi Boudra <fabo@debian.org>  Fri, 24 Jul 2009 19:26:20 +0200

rsibreak (1:0.10-1) unstable; urgency=low

  * New upstream release.

  [Tom Albers]
  * Does not take focus when menu is shown (LP:#107718)
  * countdown counter is clipped (LP:#118769)
  * hogs memory (memory leak?) (LP:#362609)

 -- Fathi Boudra <fabo@debian.org>  Sun, 19 Jul 2009 18:00:00 +0200

rsibreak (1:0.10~beta2-1) unstable; urgency=low

  * New upstream release.

  [Tom Albers]
  * Update debian/copyright.

 -- Fathi Boudra <fabo@debian.org>  Thu, 16 Jul 2009 16:18:36 +0200

rsibreak (1:0.10~beta1-1) unstable; urgency=low

  * New upstream release.
  * Remove all patches:
    - build with KDE 4.2.0 - fixed upstream.
    - memory leak - merged upstream.
    - po duplicates - fixed upstream.
  * Bump compat/debhelper to 7.
  * Remove cdbs build dependency.
  * Add debian/rsibreak.manpages and rename rsibreak manpage to rsibreak.1.
  * Add debian/rsibreak.install.
  * Rewrite debian/rules.

 -- Fathi Boudra <fabo@debian.org>  Sat, 11 Jul 2009 11:44:46 +0200

rsibreak (1:0.9.0-5) unstable; urgency=low

  * run po/CMakeLists.txt thru uniq to fix build issues with cmake 2.6.4

 -- Sune Vuorela <debian@pusling.com>  Fri, 15 May 2009 07:58:54 +0200

rsibreak (1:0.9.0-4) unstable; urgency=low

  * Upload to unstable.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 07 Apr 2009 05:39:12 +0200

rsibreak (1:0.9.0-3) experimental; urgency=low

  * Add versionning to kdelibs5-dev b-d (Closes: #513684)
  * Added upstream patch 02_mem_leak to fix a memory leak
  * Section: utils (instead of util)
  * Added /usr/share/cdbs/1/rules/patchsys-quilt.mk to rules

 -- Xavier Vello <xavier.vello@gmail.com>  Sat, 31 Jan 2009 13:51:42 +0100

rsibreak (1:0.9.0-2) experimental; urgency=low

  +++ Changes by Scott Kitterman:

  * Updated debian/copyright for new plasma/ files

  +++ Changes by Mark Purcell:

  * Add ${misc:Depends}
  * Update debian/watch

  +++ Changes by Xavier Vello:

  * Migrate to pkg-kde-tools
  * Added 01_build_with_4.2.0

 -- Xavier Vello <xavier.vello@gmail.com>  Thu, 29 Jan 2009 01:03:17 +0100

rsibreak (1:0.9.0-1) experimental; urgency=low

  * New upstream release. (Closes: #507957)

  +++ Changes by Xavier Vello:

  * Add back the plasmoid.
  * Remove libphonon-dev build depend.
  * Remove patch blitzcpuinfo.diff, obsolete.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Add Homepage field.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Jan 2009 23:23:06 +0100

rsibreak (1:0.9.0~beta3-kde4.0.80-1) experimental; urgency=low

  * New upstream release.
    - plasmoid broken

  +++ Changes by Sune Vuorela:

  * Add libxrender-dev to builddependencies
  * Remove libplasma-dev - plasmoid is currently broken

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Add epoch due to new versioning number.
  * Update copyright years.

  +++ Changes by Matthew Rosewarne:

  * Add runtime MMX detection from QImageBlitz. (TODO: REVIEW)
  * Tweak package description.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 08 Mar 2008 02:23:35 +0100

rsibreak (4.0.0-1) experimental; urgency=low

  * New upstream release.
  * Changed to kdelibs5-dev (>= 4:4.0.0) on debian/control.
  * Added libphonon-dev to Build-Depends.
  * Add patch for src/grayouteffect.cpp. Commented some mmmx related code.

 -- Daniel Queirolo <danf.1979@gmail.com>  Mon, 14 Jan 2008 18:17:48 -0300

rsibreak (3.97.0-2) experimental; urgency=low

  * Remove -mmmx flag. (Closes: #457737)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 26 Dec 2007 08:18:51 +0100

rsibreak (3.97.0-1) experimental; urgency=low

  * Initial release for KDE4.

 -- Armin Berres <trigger+debian@space-based.de>  Sat, 15 Dec 2007 13:11:31 +0000

rsibreak (0.8.0-4) unstable; urgency=low

  [Tom Albers]
  * added patch 15 to properly fix the accelarator bug
    (launchpad bug: 118315)
  * Standards-Version updated, no changes needed.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Mon,  4 Jun 2007 00:08:51 +0200

rsibreak (0.8.0-3) unstable; urgency=low

  [Tom Albers]
  * added patch to disable Accel according to the settings
    (launchpad bug: 118315)
  * added patch to reduce memory footprint
    (upstream bug: 143784)
  * added patch to give proper description in KDE Global shortcuts settings.
    (upstream bug: 146005)

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sat,  2 Jun 2007 00:25:24 +0100

rsibreak (0.8.0-2) unstable; urgency=low

  [ Mark Purcell ]
  *  Regenerate 98_buildprep.diff

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Fri, 20 Oct 2006 18:48:08 +0100



=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/makefiles/1/variables.mk

%:
	dh $@

override_dh_auto_configure:
	mkdir builddir
	cd builddir && cmake .. \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_C_FLAGS="$(CFLAGS)" \
		-DCMAKE_LD_FLAGS="-Wl,-z,defs" \
		-DCMAKE_CXX_FLAGS="$(CXXFLAGS)" \
		-DCMAKE_SKIP_RPATH=ON \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		$(DEB_CMAKE_KDE4_FLAGS)

override_dh_auto_build:
	$(MAKE) -C builddir

override_dh_auto_clean:
	rm -rf builddir

override_dh_auto_install:
	$(MAKE) -C builddir DESTDIR=$(CURDIR)/debian/rsibreak install

=== debian/watch ===
# See uscan(1) for format

version=3

opts="uversionmangle=s/-beta/~beta/" \
 http://www.rsibreak.org/files/ rsibreak-(.*)\.tar\.bz2.* debian svn-upgrade

## rsibreak 0.12.1

=== CMakeLists.txt ===
project( rsibreak )

cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
set (QT_MIN_VERSION "5.3.0")

find_package(ECM 1.7.0 REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS DBus)
find_package(KF5 REQUIRED COMPONENTS 
    Config
    ConfigWidgets
    DBusAddons
    DocTools
    IconThemes
    I18n
    IdleTime
    Notifications
    NotifyConfig
    TextWidgets
    XmlGui
    WindowSystem
    )

include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMInstallIcons)

add_subdirectory( icons )
add_subdirectory( doc )
add_subdirectory( src )

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== doc/CMakeLists.txt ===
add_subdirectory(it)
add_subdirectory(sv)
add_subdirectory(en)
add_subdirectory(nl)
add_subdirectory(uk)
add_subdirectory(pt_BR)

=== src/CMakeLists.txt ===
include_directories( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${QT_INCLUDE_DIR} )

############ rsibreak ########################################################

# source files needed
set(rsibreak_sources
slideshoweffect.cpp
popupeffect.cpp
grayeffect.cpp
passivepopup.cpp
rsidock.cpp
setup.cpp
setupgeneral.cpp
setuptiming.cpp
setupnotifications.cpp
main.cpp
rsiwidget.cpp
rsirelaxpopup.cpp
setupmaximized.cpp
rsistatwidget.cpp
rsistats.cpp
rsitimer.cpp
rsiglobals.cpp
rsistatitem.cpp
breakbase.cpp
plasmaeffect.cpp
breakcontrol.cpp
)

QT5_ADD_DBUS_ADAPTOR( rsibreak_sources
org.rsibreak.rsiwidget.xml
rsiwidget.h RSIObject
)

# compilation
add_executable(rsibreak ${rsibreak_sources})

# linking
target_link_libraries(rsibreak
    KF5::ConfigCore
    KF5::ConfigWidgets
    KF5::DBusAddons
    KF5::IconThemes
    KF5::I18n
    KF5::IdleTime
    KF5::Notifications
    KF5::NotifyConfig
    KF5::TextWidgets
    KF5::XmlGui
    KF5::WindowSystem
    Qt5::DBus
    )

# install
install( TARGETS rsibreak ${INSTALL_TARGETS_DEFAULT_ARGS})
install( PROGRAMS  rsibreak.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES rsibreak.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR}  )
install( FILES org.rsibreak.rsiwidget.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR} )
install( FILES rsibreak_autostart.desktop DESTINATION ${AUTOSTART_INSTALL_DIR} )

=== doc/it/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/it
                          SUBDIR rsibreak)

=== doc/nl/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/nl
                          SUBDIR rsibreak)

=== doc/pt_BR/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/pt_BR
                          SUBDIR rsibreak)

=== debian/changelog ===
rsibreak (4:0.12.1-1) unstable; urgency=medium

  [ Pino Toscano ]
  * New upstream release:
    - there is a new active upstream, which accepts bugs (Closes: #769603)
    - the port to Frameworks makes it use the new protocol for tray icon
      (Closes: #812347)
  * Re-add a watch file.
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev, libqt4-dev, libxrandr-dev, and libxss-dev
    - add qtbase5-dev, extra-cmake-modules, kdoctools-dev, libkf5config-dev,
      libkf5configwidgets-dev, libkf5dbusaddons-dev, libkf5i18n-dev,
      libkf5iconthemes-dev, libkf5idletime-dev, libkf5notifications-dev,
      libkf5notifyconfig-dev, libkf5textwidgets-dev, libkf5windowsystem-dev,
      and libkf5xmlgui-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Add myself to Uploaders.
  * Small change to short description.

 -- Pino Toscano <pino@debian.org>  Mon, 25 Jan 2016 23:48:46 +0100

rsibreak (4:0.11-4) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 3.9.6, no changes required.
  * Drop menu file and its pixmaps, since rsibreak already provides a .desktop
    file.

 -- Pino Toscano <pino@debian.org>  Mon, 11 Jan 2016 12:30:47 +0100

rsibreak (4:0.11-3) unstable; urgency=low

  * Team upload.

  [ Mark Purcell ]
  * Update Homepage: to KDE UserBase. Upstream looks dead :-(
  * Provide Vcs-Svn: & Vcs-Browser:

  [ Pino Toscano ]
  * Bump debhelper compatibility to 9:
    - bump debhelper build dependency to 9
    - bump compat to 9
  * Simplify rules making use of the kde addon of dh.
    - bump the pkg-kde-tools build dependency to 0.6.2
  * Remove README.source, obsolete.
  * Fix "hyphen-used-as-minus" in the man page.
  * Remove the watch file, since it is no more developed upstream.
  * Bump Standards-Version to 3.9.4, no changes required.
  * Enable the parallel build.
  * Remove Armin from Uploaders.
  * Link in as-needed mode.

 -- Pino Toscano <pino@debian.org>  Mon, 03 Jun 2013 11:05:25 +0200

=== debian/control ===
Source: rsibreak
Section: utils
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Ana Beatriz Guerrero Lopez <ana@debian.org>,
 Fathi Boudra <fabo@debian.org>,
 Pino Toscano <pino@debian.org>
Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.15.16),
 qtbase5-dev (>= 5.3.0),
 extra-cmake-modules (>= 5.13.0),
 kdoctools-dev,
 libkf5config-dev,
 libkf5configwidgets-dev,
 libkf5dbusaddons-dev,
 libkf5i18n-dev,
 libkf5iconthemes-dev,
 libkf5idletime-dev,
 libkf5notifications-dev,
 libkf5notifyconfig-dev,
 libkf5textwidgets-dev,
 libkf5windowsystem-dev,
 libkf5xmlgui-dev,
Standards-Version: 3.9.6
Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/rsibreak/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/rsibreak/
Homepage: http://userbase.kde.org/RSIBreak

Package: rsibreak
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility to help prevent repetitive strain injury
 Prolonged use of a mouse and keyboard can cause a repetitive strain injury
 (RSI), so computer users are advised to take regular breaks.
 .
 RSIBreak helps prevent repetitive strain injuries by keeping track of usage
 patterns and periodically informing users to take breaks.  During break
 periods, RSIBreak can either show an unobtrusive message, lock the screen
 entirely, or present a slideshow.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kf5

=== debian/watch ===
version=3
http://download.kde.org/stable/rsibreak/([\d.]+)/rsibreak-([\d.]+)\.tar\.xz

## rsibreak 0.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
 find_package(KF5 REQUIRED COMPONENTS 
     Config
     ConfigWidgets
+    Crash
     DBusAddons
     DocTools
     IconThemes

=== debian/changelog ===
rsibreak (4:0.12.3-1) unstable; urgency=medium

  * New upstream release.
  * Add libkf5crash-dev as new build dependency.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Update Vcs-Browser field.

 -- Pino Toscano <pino@debian.org>  Fri, 10 Jun 2016 09:50:17 +0200

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  kdoctools-dev,
  libkf5config-dev,
  libkf5configwidgets-dev,
+ libkf5crash-dev,
  libkf5dbusaddons-dev,
  libkf5i18n-dev,
  libkf5iconthemes-dev,
@@ -20,9 +21,9 @@
  libkf5textwidgets-dev,
  libkf5windowsystem-dev,
  libkf5xmlgui-dev,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/rsibreak/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/rsibreak/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/rsibreak/
 Homepage: http://userbase.kde.org/RSIBreak
 
 Package: rsibreak

## rsibreak 0.12.5

=== doc/CMakeLists.txt ===
add_subdirectory(it)
add_subdirectory(sv)
add_subdirectory(es)
add_subdirectory(en)
add_subdirectory(nl)
add_subdirectory(uk)
add_subdirectory(pt_BR)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -39,6 +39,7 @@
 target_link_libraries(rsibreak
     KF5::ConfigCore
     KF5::ConfigWidgets
+    KF5::Crash
     KF5::DBusAddons
     KF5::IconThemes
     KF5::I18n

=== doc/en/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en
                          SUBDIR rsibreak)

=== debian/changelog ===
rsibreak (4:0.12.5-1) unstable; urgency=medium

  * New upstream release.
  * Replace the transitional build dependencies:
    - kdoctools-dev -> libkf5doctools-dev

 -- Pino Toscano <pino@debian.org>  Sat, 14 Jan 2017 12:30:08 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
 Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.15.16),
  qtbase5-dev (>= 5.3.0),
  extra-cmake-modules (>= 5.13.0),
- kdoctools-dev,
  libkf5config-dev,
  libkf5configwidgets-dev,
  libkf5crash-dev,
  libkf5dbusaddons-dev,
+ libkf5doctools-dev,
  libkf5i18n-dev,
  libkf5iconthemes-dev,
  libkf5idletime-dev,

## rsibreak 0.12.7

=== debian/changelog ===
rsibreak (4:0.12.7-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 17 Jun 2017 15:28:29 +0200

## rsibreak 0.12.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
     )
 
 include(KDEInstallDirs)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 include(FeatureSummary)
 include(ECMAddAppIcon)
@@ -34,7 +34,15 @@
 add_subdirectory( doc )
 add_subdirectory( src )
 
+enable_testing()
+add_subdirectory( test )
+
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 find_package(KF5I18n CONFIG REQUIRED)
 ki18n_install(po)
+
+  find_package(KF5DocTools CONFIG)
+  if(KF5DocTools_FOUND)
+    kdoctools_install(po)
+  endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -13,18 +13,19 @@
 setupgeneral.cpp
 setuptiming.cpp
 setupnotifications.cpp
-main.cpp
 rsiwidget.cpp
 rsirelaxpopup.cpp
 setupmaximized.cpp
 rsistatwidget.cpp
 rsistats.cpp
 rsitimer.cpp
+rsitimercounter.cpp
 rsiglobals.cpp
 rsistatitem.cpp
 breakbase.cpp
 plasmaeffect.cpp
 breakcontrol.cpp
+rsiidletime.cpp
 )
 
 QT5_ADD_DBUS_ADAPTOR( rsibreak_sources
@@ -33,10 +34,11 @@
 )
 
 # compilation
-add_executable(rsibreak ${rsibreak_sources})
+add_library(rsibreak_lib STATIC ${rsibreak_sources})
+add_executable(rsibreak main.cpp)
 
 # linking
-target_link_libraries(rsibreak
+target_link_libraries(rsibreak_lib
     KF5::ConfigCore
     KF5::ConfigWidgets
     KF5::Crash
@@ -50,7 +52,8 @@
     KF5::XmlGui
     KF5::WindowSystem
     Qt5::DBus
-    )
+)
+target_link_libraries(rsibreak rsibreak_lib)
 
 # install
 install( TARGETS rsibreak ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
rsibreak (4:0.12.8-2) unstable; urgency=medium

  * Configure Xvfb so it has a proper depth; it should work also when Qt is
    built with OpenGL ES.

 -- Pino Toscano <pino@debian.org>  Wed, 14 Feb 2018 07:12:08 +0100

rsibreak (4:0.12.8-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Remove Fathi Boudra from Uploaders, as requested by the MIA team.
    (Closes: #879432)
  * This new version has tests that require a display, so:
    - add the xvfb, and xauth build dependencies
    - run dh_auto_test via xvfb-run
  * Use https for the watch file.
  * Remove trailing whitespaces in changelog.
  * Use https for the Homepage field.

 -- Pino Toscano <pino@debian.org>  Mon, 12 Feb 2018 20:32:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Ana Beatriz Guerrero Lopez <ana@debian.org>,
- Fathi Boudra <fabo@debian.org>,
  Pino Toscano <pino@debian.org>
 Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.15.16),
  qtbase5-dev (>= 5.3.0),
@@ -21,10 +20,11 @@
  libkf5textwidgets-dev,
  libkf5windowsystem-dev,
  libkf5xmlgui-dev,
-Standards-Version: 3.9.8
+ xvfb, xauth,
+Standards-Version: 4.1.3
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/rsibreak/trunk/
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/rsibreak/
-Homepage: http://userbase.kde.org/RSIBreak
+Homepage: https://userbase.kde.org/RSIBreak
 
 Package: rsibreak
 Architecture: any

=== debian/watch ===
version=3
https://download.kde.org/stable/rsibreak/([\d.]+)/rsibreak-([\d.]+)\.tar\.xz

## rsibreak 0.12.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -34,8 +34,12 @@
 add_subdirectory( doc )
 add_subdirectory( src )
 
-enable_testing()
-add_subdirectory( test )
+include(CTest)
+
+if(BUILD_TESTING)
+  enable_testing()
+  add_subdirectory( test )
+endif()
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -26,6 +26,7 @@
 plasmaeffect.cpp
 breakcontrol.cpp
 rsiidletime.cpp
+notificator.cpp
 )
 
 QT5_ADD_DBUS_ADAPTOR( rsibreak_sources

=== debian/changelog ===
rsibreak (4:0.12.9-1) unstable; urgency=medium

  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 21 Oct 2018 08:34:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Ana Beatriz Guerrero Lopez <ana@debian.org>,
  Pino Toscano <pino@debian.org>
-Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.15.16),
+Build-Depends: debhelper (>= 11~), cmake, pkg-kde-tools (>= 0.15.16),
  qtbase5-dev (>= 5.3.0),
  extra-cmake-modules (>= 5.13.0),
  libkf5config-dev,
@@ -21,9 +21,9 @@
  libkf5windowsystem-dev,
  libkf5xmlgui-dev,
  xvfb, xauth,
-Standards-Version: 4.1.3
-Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/rsibreak/trunk/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/rsibreak/
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/rsibreak.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/rsibreak
 Homepage: https://userbase.kde.org/RSIBreak
 
 Package: rsibreak

## rsibreak 0.12.9+rb2

=== debian/changelog ===
rsibreak (4:0.12.9+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Mon, 01 Feb 2021 16:15:31 +0800

## rsibreak 0.12.10

=== debian/changelog ===
rsibreak (4:0.12.10-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Explicitly add the gettext build dependency.

 -- Pino Toscano <pino@debian.org>  Mon, 08 Jul 2019 21:45:26 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,8 @@
  libkf5windowsystem-dev,
  libkf5xmlgui-dev,
  xvfb, xauth,
-Standards-Version: 4.2.1
+ gettext,
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/rsibreak.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/rsibreak
 Homepage: https://userbase.kde.org/RSIBreak

## rsibreak 0.12.11

=== debian/changelog ===
rsibreak (4:0.12.11-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5.0
    - bump qtbase5-dev to 5.6.0
    - bump extra-cmake-modules to 5.18.0

 -- Pino Toscano <pino@debian.org>  Fri, 27 Sep 2019 20:01:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Ana Beatriz Guerrero Lopez <ana@debian.org>,
  Pino Toscano <pino@debian.org>
-Build-Depends: debhelper (>= 11~), cmake, pkg-kde-tools (>= 0.15.16),
- qtbase5-dev (>= 5.3.0),
- extra-cmake-modules (>= 5.13.0),
+Build-Depends: debhelper (>= 11~), cmake (>= 3.5.0), pkg-kde-tools (>= 0.15.16),
+ qtbase5-dev (>= 5.6.0),
+ extra-cmake-modules (>= 5.18.0),
  libkf5config-dev,
  libkf5configwidgets-dev,
  libkf5crash-dev,

## rsibreak 0.12.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 project( rsibreak )
 
-cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
-set (QT_MIN_VERSION "5.3.0")
+cmake_minimum_required (VERSION 3.5.0 FATAL_ERROR)
+set (QT_MIN_VERSION "5.10.0")
 
-find_package(ECM 1.7.0 REQUIRED CONFIG)
+find_package(ECM 5.18.0 REQUIRED CONFIG)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
 find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS DBus)

=== doc/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR rsibreak)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -58,7 +58,8 @@
 
 # install
 install( TARGETS rsibreak ${INSTALL_TARGETS_DEFAULT_ARGS})
-install( PROGRAMS  rsibreak.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
+install( PROGRAMS org.kde.rsibreak.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
 install( FILES rsibreak.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR}  )
 install( FILES org.rsibreak.rsiwidget.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR} )
 install( FILES rsibreak_autostart.desktop DESTINATION ${AUTOSTART_INSTALL_DIR} )
+install( FILES org.kde.rsibreak.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== debian/changelog ===
rsibreak (4:0.12.13-1) unstable; urgency=medium

  * New upstream release.
  * Add the configuration for the CI on salsa.
  * Update the build dependencies according to the upstream build system:
    - bump qtbase5-dev to 5.10.0
  * Bump Standards-Version to 4.5.0, no changes required.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Drop the man pages, as it is outdated, and in general not useful.

 -- Pino Toscano <pino@debian.org>  Sat, 04 Apr 2020 17:44:42 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Ana Beatriz Guerrero Lopez <ana@debian.org>,
  Pino Toscano <pino@debian.org>
-Build-Depends: debhelper (>= 11~), cmake (>= 3.5.0), pkg-kde-tools (>= 0.15.16),
- qtbase5-dev (>= 5.6.0),
+Build-Depends: debhelper-compat (= 12), cmake (>= 3.5.0), pkg-kde-tools (>= 0.15.16),
+ qtbase5-dev (>= 5.10.0),
  extra-cmake-modules (>= 5.18.0),
  libkf5config-dev,
  libkf5configwidgets-dev,
@@ -22,7 +22,7 @@
  libkf5xmlgui-dev,
  xvfb, xauth,
  gettext,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/rsibreak.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/rsibreak
 Homepage: https://userbase.kde.org/RSIBreak

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5

override_dh_auto_test:
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test

## rsibreak 0.12.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,6 @@
     Crash
     DBusAddons
     DocTools
-    IconThemes
     I18n
     IdleTime
     Notifications

=== debian/changelog ===
rsibreak (4:0.12.14-1) unstable; urgency=medium

  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Switch the watch file to version 4, no changes required.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Fix day-of-week for changelog entry 0.6.0-1.
  * Update the build dependencies according to the upstream build system:
    - drop libkf5iconthemes-dev, no more needed now
  * Add Rules-Requires-Root: no.

 -- Pino Toscano <pino@debian.org>  Sun, 15 Aug 2021 19:27:28 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Ana Beatriz Guerrero Lopez <ana@debian.org>,
  Pino Toscano <pino@debian.org>
-Build-Depends: debhelper-compat (= 12), cmake (>= 3.5.0), pkg-kde-tools (>= 0.15.16),
+Build-Depends: debhelper-compat (= 13), cmake (>= 3.5.0), pkg-kde-tools (>= 0.15.16),
  qtbase5-dev (>= 5.10.0),
  extra-cmake-modules (>= 5.18.0),
  libkf5config-dev,
@@ -13,7 +13,6 @@
  libkf5dbusaddons-dev,
  libkf5doctools-dev,
  libkf5i18n-dev,
- libkf5iconthemes-dev,
  libkf5idletime-dev,
  libkf5notifications-dev,
  libkf5notifyconfig-dev,
@@ -22,7 +21,8 @@
  libkf5xmlgui-dev,
  xvfb, xauth,
  gettext,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/rsibreak.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/rsibreak
 Homepage: https://userbase.kde.org/RSIBreak

=== debian/watch ===
version=4
https://download.kde.org/stable/rsibreak/([\d.]+)/rsibreak-([\d.]+)\.tar\.xz

## rsibreak 0.12.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,8 @@
 include(FeatureSummary)
 include(ECMAddAppIcon)
 include(ECMInstallIcons)
+include(KDEClangFormat)
+include(KDEGitCommitHooks)
 
 add_subdirectory( icons )
 add_subdirectory( doc )
@@ -40,12 +42,13 @@
   add_subdirectory( test )
 endif()
 
+ki18n_install(po)
+kdoctools_install(po)
+
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+
+
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
-
-find_package(KF5I18n CONFIG REQUIRED)
-ki18n_install(po)
-
-  find_package(KF5DocTools CONFIG)
-  if(KF5DocTools_FOUND)
-    kdoctools_install(po)
-  endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -44,7 +44,6 @@
     KF5::ConfigWidgets
     KF5::Crash
     KF5::DBusAddons
-    KF5::IconThemes
     KF5::I18n
     KF5::IdleTime
     KF5::Notifications

=== test/CMakeLists.txt ===
include_directories( ${PROJECT_SOURCE_DIR}/src )

set( rsibreaktest_src
    test_runner.cpp
    rsitimer_test.cpp
    rsitimercounter_test.cpp
)

find_library(rsibreak_lib rsibreak_lib)
find_package( Qt5Test REQUIRED )

add_executable( rsibreak_tests ${rsibreaktest_src} )

target_link_libraries( rsibreak_tests Qt5::Test rsibreak_lib )

add_test( rsibreak_tests rsibreak_tests )

=== debian/changelog ===
rsibreak (4:0.12.15-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders.
  * Add a simple upstream/metadata file.
  * Do not ship x-test "translations".
  * Mark the xauth, and xvfb build dependencies as <!nocheck>, as they are
    needed only when running the test suite.

 -- Pino Toscano <pino@debian.org>  Thu, 09 Jun 2022 07:05:05 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>, Ana Beatriz Guerrero Lopez <ana@debian.org>,
- Pino Toscano <pino@debian.org>
+Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake (>= 3.5.0), pkg-kde-tools (>= 0.15.16),
  qtbase5-dev (>= 5.10.0),
  extra-cmake-modules (>= 5.18.0),
@@ -19,9 +18,9 @@
  libkf5textwidgets-dev,
  libkf5windowsystem-dev,
  libkf5xmlgui-dev,
- xvfb, xauth,
+ xvfb <!nocheck>, xauth <!nocheck>,
  gettext,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/rsibreak.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/rsibreak

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kf5

override_dh_auto_test:
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test

execute_after_dh_auto_install:
	# remove the testing x-test "translations"
	rm -rfv debian/rsibreak/usr/share/locale/x-test/

## rsibreak 0.12.15+p24.04+vstable+git20250916.0324

=== debian/changelog ===
rsibreak (4:0.12.15+p24.04+vstable+git20250916.0324-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 03:24:09 +0000

## rsibreak 0.12.15+p24.04+vstable+git20250922.1025

=== debian/changelog ===
rsibreak (4:0.12.15+p24.04+vstable+git20250922.1025-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Sep 2025 10:25:40 +0000

## rsibreak 0.12.15+p24.04+vstable+git20251015.1432

=== debian/changelog ===
rsibreak (4:0.12.15+p24.04+vstable+git20251015.1432-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 14:32:55 +0000
